umbrello: Import_Rose::ClassifierListReader Class Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
Import_Rose::ClassifierListReader Class Referenceabstract
Inheritance diagram for Import_Rose::ClassifierListReader:

## Public Member Functions
| ClassifierListReader (const char *attributeTag, const char *elementName, const char *itemTypeDesignator)
| constructor
virtual | ~ClassifierListReader ()
| destructor
virtual UMLObject * | createListItem ()=0
virtual void | setTypeReferences (UMLObject *item, const QString &quid, const QString &type)
virtual void | insertAtParent (const PetalNode *node, UMLObject *o)=0
void | read (const PetalNode *node, const QString &name)

## Protected Attributes
const QString | m_attributeTag
const QString | m_elementName
const QString | m_itemTypeDesignator

## Detailed Description

ClassifierListReader factors the common processing for attributes, operations, and operation parameters.

## Constructor & Destructor Documentation

## ◆ ClassifierListReader()

Import_Rose::ClassifierListReader::ClassifierListReader | ( | const char * | attributeTag,
|  | const char * | elementName,
|  | const char * | itemTypeDesignator
| ) |  |
| inline

constructor

## ◆ ~ClassifierListReader()

virtual Import_Rose::ClassifierListReader::~ClassifierListReader | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

## ◆ createListItem()

virtual UMLObject * Import_Rose::ClassifierListReader::createListItem | ( |  | ) |
| pure virtual

Return a UMLClassifierListItem of the specific type desired. Abstract method to be implemented by inheriting classes.

Implemented in Import_Rose::AttributesReader, Import_Rose::LiteralsReader, Import_Rose::ParametersReader, Import_Rose::OperationsReader, Import_Rose::SuperclassesReader, Import_Rose::RealizationsReader, and Import_Rose::UsesReader.

## ◆ insertAtParent()

virtual void Import_Rose::ClassifierListReader::insertAtParent | ( | const PetalNode * | node,
|  | UMLObject * | o
| ) |  |
| pure virtual

Insert the given UMLClassifierListItem at the parent Umbrello object. Abstract method to be implemented by inheriting classes. NB the parent Umbrello object is not included in the ClassifierListReader class - it must be added at inheriting classes.

Parameters

  node | The PetalNode which corresponds to the parent Umbrello object.
  o | The UMLObject to insert.

Implemented in Import_Rose::AttributesReader, Import_Rose::LiteralsReader, Import_Rose::ParametersReader, Import_Rose::SuperclassesReader, Import_Rose::RealizationsReader, Import_Rose::UsesReader, and Import_Rose::OperationsReader.

## ◆ read()

void Import_Rose::ClassifierListReader::read | ( | const PetalNode * | node,
|  | const QString & | name
| ) |  |
| inline

Iterate over the attributes of the given PetalNode and for each recognized attribute do the following:

- invoke createListItem()
- fill common properties such as name, unique ID, visibility, etc. into the new UMLClassifierListItem
- invoke insertAtParent() with the new classifier list item as the argument This is the user entry point.

## ◆ setTypeReferences()

virtual void Import_Rose::ClassifierListReader::setTypeReferences | ( | UMLObject * | item,
|  | const QString & | quid,
|  | const QString & | type
| ) |  |
| inlinevirtual

Reimplemented in Import_Rose::SuperclassesReader, Import_Rose::RealizationsReader, and Import_Rose::UsesReader.

## Member Data Documentation

## ◆ m_attributeTag

const QString Import_Rose::ClassifierListReader::m_attributeTag
| protected

## ◆ m_elementName

const QString Import_Rose::ClassifierListReader::m_elementName
| protected

## ◆ m_itemTypeDesignator

const QString Import_Rose::ClassifierListReader::m_itemTypeDesignator
| protected

The documentation for this class was generated from the following file:

- umbrello/petaltree2uml.cpp